import {BasicColumn, FormSchema} from '@/components/Table';

export const columns: BasicColumn[] = [
  {
    title: '名称',
    dataIndex: 'name',
    width: 150,
    sorter: true,
  },
  {
    title: '规则描述',
    dataIndex: 'ruleDescription',
    width: 120,
  },
  {
    title: '规则类型',
    dataIndex: 'ruleType',
    width: 120,
    sorter: true,
  },
  {
    title: '规则处置',
    dataIndex: 'ruleHandling',
    width: 120,
    sorter: true,
  },
  {
    title: '创建时间',
    dataIndex: 'creationTime',
    width: 120,
    sorter: true,
  },
  {
    title: '更新时间',
    dataIndex: 'updateTime',
    width: 120,
    sorter: true,
  },
  {
    title: '拥有者',
    dataIndex: 'owner',
    width: 150,
    sorter: true,
  },

];

export const personSchema: FormSchema[] = [
  {

    field: 'name',
    component: 'Input',
    colProps: { lg: 11, md: 11 },
    label: '名称',
    required: true,
  },
  {
    field: 'ruleDescription',
    label: '规则描述',
    colProps: { lg: 11, md: 11 },
    component: 'InputTextArea',

  },
  {
    field: 'ruleHandling',
    label: '规则处置',
    colProps: { lg: 11, md: 11, },
    component: 'Select',
    required: true,
    componentProps: {
      placeholder: '规则处置方式',
      options: [
        { label: '建议优化', value: '1' },
        { label: '禁止执行', value: '2' },
        { label: 'admin', value: '3' },
      ],
    },
  },
  {
    field: 'disposalSuggestions',
    label: '处置建议',
    colProps: { lg: 11, md: 11 },
    component: 'InputTextArea',
    required: true,
    componentProps: {
      placeholder: '请输入处置建议',
    },
  },
  {
    field: 'sql',
    label: '规则内容',
    required: true,
    slot: 'ruleContentSlot',
  },
  {
    field: 'ruleContent',
    slot: 'buttonSlot',
  },
];

